import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/hr/posts',
    component: AppLayout,
    children: [
      { path: 'job', component: () => import('./views/Job.vue') },
      { path: 'job/create', component: () => import('./views/JobUpdate.vue') },
      { path: 'job/update/:id', component: () => import('./views/JobUpdate.vue') },
      {
        path: 'job/view/:id',
        component: () => import('./views/JobView.vue'),
        props: true
      }
    ]
  }
]
