// json to array
export const json2Array = function (data: Record<string, any>, isValueToNumber = true) {
  return Object.keys(data).map(value => ({ label: data[value], value: isValueToNumber ? parseInt(value) : value }))
}

// 公司性质
export const companyType = {
  1: '国有企业',
  2: '集体企业',
  3: '联营企业',
  4: '股份合作制企业',
  5: '私营企业',
  6: '个体户',
  7: '合伙企业',
  8: '有限责任公司',
  9: '股份有限公司营业性质'
}
// 公司性质列表
export const companyTypeList = json2Array(companyType)

// 状态
export const status = {
  1: '启用',
  2: '禁用',
  3: '待审核',
  4: '审核不通过'
}
// 状态列表
export const statusList = json2Array(status)

// 学历
export const education = {
  1: '高中或以下',
  2: '大专',
  3: '本科',
  4: '硕士研究生',
  5: '博士'
}
// 学历列表
export const educationList = json2Array(education)

// 岗位类型
export const jobType = {
  1: '管理类',
  2: '专业技术类',
  3: '专业支持类',
  4: '营销类',
  5: '操作类'
}
// 岗位类型列表
export const jobTypeList = json2Array(jobType)

// 项目类型
export const projectType = {
  1: '合作项目',
  2: '创新项目',
  3: '招聘项目'
}
// 项目类型列表
export const projectTypeList = json2Array(projectType)
